View Issue Details

IDProjectCategoryView StatusLast Update
0016322MediaMonkey 5Main Panelpublic2020-03-18 21:48
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016322: View configuration: Sort config doesn't match sort order
Description1 Navigate to e.g. Music > Rating > *** [List]
2 Right click on the header > Reset Sorting
--> Sort is by: Rating, Album, ?, ?, Title
3 From the View selector, click 'Manage Views' > List
--> Sort is by Album, Track, Title !!

Shouldn't the sort shown here match the default sort order that was set at step 2 ? If not, how is this supposed to work?
TagsNo tags attached.
Fixed in build2230

Relationships

related to 0015559 closedLudek Default tracklist columns sort and visibility is problematic 
related to 0016437 closedpetr Views: refreshing reverts sorting / columns / column order in several cases 
related to 0016391 resolvedrusty List views are not configured/saved per-node 

Activities

petr

2020-01-30 21:42

developer   ~0056406

Fixed. It was used last stored sorting for editing instead of current.

peke

2020-02-03 02:02

developer   ~0056481

Verified 2226

Unable to replicate behavior in current version

rusty

2020-02-07 18:41

administrator   ~0056571

Last edited: 2020-02-07 18:42

View 2 revisions

I think we have a problem re. sorting.
Default sorts have always been customized per node (e.g. Rating node [all tracks] is sorting by rating). But now, default sorts are associated with Views and the Views aren't necessarily specific to the node.

e.g. in Ratings [all tracks], 'Reset Sort' now resets the sort to the default sort associated with the 'List' view, but this sort doesn't make sense for the Ratings node!

We should probably discuss to come up with a solution.

Ludek

2020-02-09 22:15

developer   ~0056594

Last edited: 2020-02-09 22:17

View 2 revisions

Further custom view sorting issues are reported here: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95912

There are also some visual issues wit the "Configure view" dialog, see the screenshots here https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95912

petr

2020-02-28 16:21

developer   ~0056941

Fixed

peke

2020-03-07 00:33

developer   ~0057092

Verified 2230

This appears to be fixed. Close after user conformation.

rusty

2020-03-18 21:48

administrator   ~0057224

Closed--there are still a number of remaining items, but they are tracked at 0016437.